Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236391 - grub-related avc denials on resume from hibernate
Summary: grub-related avc denials on resume from hibernate
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-13 15:49 UTC by Zack Cerza
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-22 14:14:16 UTC


Attachments (Terms of Use)

Description Zack Cerza 2007-04-13 15:49:10 UTC
Description of problem:
I'm seeing an avc denial of grub writing to /var/log/pm-suspend.log when
resuming from hibernate.

avc: denied { getattr } for comm="01grub" dev=sda1 egid=0 euid=0 exe="/bin/bash"
exit=0 fsgid=0 fsuid=0 gid=0 items=0 name="vmlinuz-2.6.20-1.3056.fc7"
path="/boot/vmlinuz-2.6.20-1.3056.fc7" pid=9742
scontext=system_u:system_r:hald_t:s0 sgid=0 subj=system_u:system_r:hald_t:s0
suid=0 tclass=file tcontext=system_u:object_r:default_t:s0 tty=(none) uid=0

avc: denied { read } for comm="grubby" dev=sda1 egid=0 euid=0 exe="/sbin/grubby"
exit=3 fsgid=0 fsuid=0 gid=0 items=0 name="grub.conf" pid=9747
scontext=system_u:system_r:hald_t:s0 sgid=0 subj=system_u:system_r:hald_t:s0
suid=0 tclass=file tcontext=user_u:object_r:file_t:s0 tty=(none) uid=0

avc: denied { write } for comm="grub" dev=sda3 egid=0 euid=0 exe="/sbin/grub"
exit=0 fsgid=0 fsuid=0 gid=0 items=0 name="pm-suspend.log"
path="/var/log/pm-suspend.log" pid=9752
scontext=system_u:system_r:bootloader_t:s0 sgid=0
subj=system_u:system_r:bootloader_t:s0 suid=0 tclass=file
tcontext=system_u:object_r:hald_log_t:s0 tty=(none) uid=0
Version-Release number of selected component (if applicable):
grub-0.97-13.i386
selinux-policy-targeted-2.5.12-1.fc7.noarch

Comment 1 Daniel Walsh 2007-04-16 15:37:33 UTC
Looks like you have some labeling problems on /boot and grub.conf since they are
labeled default_t and unlabeled (file_t).

I will update selinux policy to allow bootloader to use pm-suspend.log.

Fixed in selinux-policy-2.5.12-3


Comment 2 Daniel Walsh 2007-08-22 14:14:16 UTC
Should be fixed in the current release



Note You need to log in before you can comment on or make changes to this bug.